;#*************************************************************#
;*                                                             *
;*        RasterBar Example by Epyx / Epyx_FXLib v1.1          *
;*                                                             *
;#*************************************************************#

InitSprite()
InitKeyboard()
EP_InitFXLib()

OpenScreen(640,480,16,"RasterBars Effect - Epyx FXLib")



;Prepare the Color Table, a Red gradient and the same for the Yellow one
  R=0 : G=0 : B=0
For t = 1 To 16 
   R+16
   EP_SetColorTable(t, RGB(R,G,B))
Next t

For t = 16 To 31 
   R-16
   EP_SetColorTable(t, RGB(R,G,B))
Next t
R=0
For t = 32 To 95 
   R+4 : G+4
   EP_SetColorTable(t, RGB(R,G,B))
Next t

For t = 95 To 160 
   R-4 : G-4
   EP_SetColorTable(t, RGB(R,G,B))
Next t


; Now we define a Rasterbar with Yellow Color
EP_CreateRasterBar(1, 32, 160)

; Some Jumping Rasterbars with Fast Creating
 For t = 2 To 7
   EP_FastRasterBar(t, RGB(Random(255),Random(255),Random(255)), 32, 200,2, 400+(t*20), 2)
 Next t

Repeat
  ClearScreen(0,0,0)
  
  
  ; Showing the big Rasterbar, hmm nothing else...
  EP_DisplayRasterBar(1, 240)

  ; Now display the Moving Bars
  For t = 2 To 7 : EP_DisplayRasterBar(t,460) : Next t


  FlipBuffers()
  ExamineKeyboard()
Until KeyboardReleased(1)
UseJPEGImageEncoder()
EP_ScreenShot("raster.jpg", #PB_ImagePlugin_JPEG) 
CloseScreen() 
End


; IDE Options = PureBasic v3.94 (Windows - x86)
; DisableDebugger